VARIETY(1)

NAME
variety - Variety Wallpaper Changer

SYNOPSIS
variety [options] [files or urls]

DESCRIPTION
Passing local files will add them to Variety's queue. Passing remote URLs will make Variety fetch them to Fetched folder and place them in the queue.

To set a specific wallpaper: variety --set /some/local/image.jpg

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--profile=PROFILE
    Profile name or full path to the configuration folder Variety should use. If not specified, this is ~/.config/variety/. If just a name is used instead of a full path, the profile folder will be ~/.config/variety-profiles/<name>. Use only when initially starting Variety - changing the profile path requires restart. Several instances of Variety can be started when using different profiles, each with its own separate configuration. This can be used for example to control several different screens or workspaces under desktop environments like XFCE which allow this. To pass commands to a running instance, pass the same --profile argument as the one it was started with in subsequent commands.

-v, --verbose
    Show logging messages (-vv to -vvvvv will profile various parts of Variety with increasing detail

-q, --quit
    Make the running instance quit

--get, --get-wallpaper, --current, --show-current
    Print the current wallpaper location. Used only when the application is already running.

--set=SET_WALLPAPER, --set-wallpaper=SET_WALLPAPER
    Set the given file as wallpaper, absolute path required

-n, --next
    Show Next wallpaper

-p, --previous
    Show Previous wallpaper

--fast-forward
    Show Next wallpaper, skipping the forward history

-t, --trash
    Move current wallpaper to Trash. Used only when the application is already running.

-f, --favorite
    Copy current wallpaper to Favorites. Used only when the application is already running.

--move-to-favorites
    Move current wallpaper to Favorites. Used only when the application is already running.

--pause
    Pause on current image

--resume
    Resume regular image changes

--toggle-pause
    Toggle Pause/Resume state

--toggle-no-effects
    Toggle "Show Without Effects" for current image

--quotes-next
    Show Next quote

--quotes-previous
    Show Previous quote

--quotes-fast-forward
    Show Next quote, skipping the forward history

--quotes-toggle-pause
    Toggle Quotes Pause/Resume state

--quotes-save-favorite
    Save the current quote to Favorites

--history
    Toggle History display

--downloads
    Toggle Recent Downloads display

--preferences, --show-preferences
    Show Preferences dialog

--selector, --show-selector
    Show manual wallpaper selector - the thumbnail bar filled with images from the active image sources

--set-option=SET_OPTIONS
    Sets and applies an option. The option names are the same that are used in Variety's config file ~/.config/variety/variety.conf. Multiple options can be set in a single command. Example: 'variety --setoption icon Dark --set-option clock_enabled True'. USE WITH CAUTION: You are changing the settings file directly in an unguarded way.